Subject: Re: terminology

From: [email-masked]
Date: Mon, 7 May 2001 09:38:34 +0530

Hi Grey,

As per my understanding, the section 3.27 of RFC 3031 just wants to emphasise
that both LSP tunneling as well as network layer tunneling can be used for
routing mpls packets. For e.g.

Let the network topology is like

A------B------C------D-------E

Now say an unlabeled packet comes at ingress router A, with say destination X.
Router A finds that the next LSR to which this datagram should be forwarded is
E. Now two cases may arise.

1. There is not an LSP between A and E, but there is a routing table entry in A
for the router E. In this case LSR A will first push the label which is
understood by E.  Then A will forward the datagram so formed after pushing the
label for E to the IP forwarding function specifying the destination hop for
this datagram to be router E. This is normal network layer tunneling used for
forwarding the mpls packets. In my opinion this type of tunneling cannot be used
if we want some sort of quality of service also. This can only be used if we
want only destination based forwarding of mpls datagrams.

2. There is an LSP between A to E(obviously using LSP tunneling). Then A will
first push the label which is understood by E. Then push the label which is
understood by B, and it will forward the datagram to LSR B. At LSR D, the
datagram that will be forwarded to E will contain only that label that is
understood by E. This is the case with LSP tunneling.

Pls correct me if I am wrong.

Regards
Mohit Goel

"Gross, Gerhard" <[email-masked]> on 05/03/2001 11:06:09 PM

To:   "[email-masked]'" <[email-masked]>
cc:    (bcc: Mohit Goel/HSS)

Subject:  terminology

Sorry, sent previous message prematurely.
Once again...

The definitions "LSP tunnel" in the docs
seem to be somewhat misleading. For example,
section 3.27.3 of RFC 3031 states:

"It is possible to implement a tunnel as a
LSP, and use label switching rather than
network layer encapsulation to cause the
packet to travel through the tunnel. ...
This is called a "LSP Tunnel."

This is standard MPLS as far as I tell.
Why rename it?

Also, section 1 of draft-ietf-mpls-rsvp-lsp-tunnel-08.txt
states:

"Since the traffic that flows along a label-switched path is defined
by the label applied at the ingress node of the LSP, these paths can
be treated as tunnels, tunneling below normal IP routing and
filtering mechanisms.  When an LSP is used in this way we refer to it
as an LSP tunnel."

Again this seems to be just normal use of MPLS.
The text implies that an LSP tunnel is a special
case of MPLS. Is there any other use of MPLS?

Thanks!
Gery

        XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
        X                                         X
        X    Gerhard W. Gross, Ph.D.              X
        X    Intel                                X
        X    2111 NE 25th Ave                     X
        X    Hillsboro, OR 97124-5961, USA        X
        X    Internet Infrastructure Arch. Group  X
        X      - Internet and Communication Lab   X
        X    phone:    (503) 264-6389             X
        X    fax:      (503) 264-3483             X
        X    email:    [email-masked]    X
        X                                         X
        XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX